@import url('https://fonts.googleapis.com/css?family=Fira+Sans&display=swap');
@import 'colors.css';
@import 'https://www.w3schools.com/w3css/4/w3.css';

:root {
    --entry-width: 550px;
    --entry-height: 153px;
}

* {
    color: var(--nord4);
    font-family: 'Fira Sans', sans-serif;
}

body {
    background-color: var(--nord0);
    margin: 0px;
}

#wrapper {
    padding: 15px;
    margin-left: 10vw;
    margin-right: 10vw;
}

/* Individual Machine */
.entry {
    float: left;
    background-color: var(--nord1);
    padding: 12px;
    border-radius: 20px;
    width: var(--entry-width);
}

.entry img {
    height: var(--entry-height);
    border-radius: 10%;
    float: left;
    margin-right: 10px;
}

.entryTitle {
    font-size: 2em;
}

.entryUptime {
    float: right;
}

.entryDivider {
    border-top: 1px solid var(--nord4);
    margin-left: calc(var(--entry-height) + 10px);
    margin-bottom: 15px;
}

progress {
    width: calc(80% - var(--entry-height));
    float: right;
    background-color: var(--nord1);
    border: 1px solid var(--nord3);
}

.veryhighstat::-moz-progress-bar, .veryhighstat::-webkit-progress-value { background: var(--nord11); }
.highstat::-moz-progress-bar, .highstat::-webkit-progress-value { background: var(--nord12); }
.lowstat::-moz-progress-bar, .lowstat::-webkit-progress-value { background: var(--nord14); }

.entryStat {
    width: 50px;
    float: left;
    margin-top: -4px;
}

.entryServiceRunning {
    color: var(--nord14);
    margin-right: 5px;
}

.entryServiceStopped {
    color: var(--nord11);
    margin-right: 5px;
}